Bug 56286 - RFE: nosrc.rpm packages cannot be identified
RFE: nosrc.rpm packages cannot be identified
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-14 18:51 EST by Mihai Ibanescu
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-07 15:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mihai Ibanescu 2001-11-14 18:51:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
nosrc.rpm packages cannot be distinguished only by looking at the RPM header.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.grab the header for xforms (powertools 7.0)
	

Additional info:
Comment 1 Paul Nasrat 2005-06-07 15:55:58 EDT
You look and see if tag 1051 has contents (nosource index).

eg:

>>> import os,rpm
>>> ts=rpm.ts()
>>> f = os.open("foo.nosrc.rpm", os.O_RDONLY)
>>> h = ts.hdrFromFdno(f)
>>> h[1051]
0

vs 
[] for a non nosrc.rpm

Note You need to log in before you can comment on or make changes to this bug.